import 'package:vnote_device_plugin/devices/weight.dart';
import 'package:vitalapp/pages/medical/controllers/base.dart';

class BmiDeviceController extends BaseDeviceController<WeightDeviceWorker> {
  BmiDeviceController(super.model, super.mac);

  @override
  WeightDeviceWorker createWorker() {
    return WeightDeviceWorker(model: model, mac: mac);
  }

  @override
  void loadListeners() {
    super.loadListeners();
  }
}
